import { jsx } from "react/jsx-runtime";
import { TokenJST as TokenJST$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenJST = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "JST", "data-name": "TokenJST", ...props, children: /* @__PURE__ */ jsx(TokenJST$1, { variant }) });
  }
);
TokenJST.displayName = "TokenJST";
Object.assign(TokenJST, { isGdsIcon: true });
export {
  TokenJST
};
